package com.tofly.ghrq_route.module.rushrepair.domain;

import com.tofly.ghrq_route.module.buildManage.domain.VoiceBeans;

import java.util.List;

/**
 * @author YCHK
 * 抢维修数据实体
 */
public class RushRepairBeanList {
    private String id;//抢维修工单主键
    private List<VoiceBeans> voice;
    private String note;//备注
    private String dispatchDate;//派工时间
    private List<RushRepairBeanList.ProcssManageBean> processManages;//更新管理信息
    private String description;//详情描述
    private String delFlag;//删除标记
    private List<VoiceBeans> endVoice;
    private String workOrderType;//工单类型 0:内部工单 , 1:外部转接
    private String workOrderState;//工单状态 工单状态 0:待派工 , 1:派工未通过, 2:待处理 , 3:待审核 , 4:审核未通过, 5:归档
    private String creatTime;//工单创建时间
    private String contact;
    private String creatUser;//记录人(工单创建人)
    private String dispatchUserName;
    private String responsibleName;
    private String dispatchUserId;//派工人ID编号
    private String introduction;//介绍
    private String address;//地址
    private List<RushRepairExamineList> auditList;//审核信息
    private String workOrderStateName;
    private String workOrderSource;//工单来源
    private int rowId;
    private String rushRepairResponsible;//抢修责任人(工单接受及上报人)
    private String rushRepairPersons;//参与抢修人员(多人名称，由抢修责任人登记,以","隔开)
    private String rushRepairPersonsName;
    private double x;
    private double y;
    private List<VoiceBeans> files;
    private String workOrderId;//工单编号
    private String workOrderTypeName;//工单类型名称 0:内部工单 , 1:外部转接
    private String contactPhone;//联系电话
    private String department;//部门id

    public String getRushRepairPersonsName() {
        return rushRepairPersonsName;
    }

    public void setRushRepairPersonsName(String rushRepairPersonsName) {
        this.rushRepairPersonsName = rushRepairPersonsName;
    }

    public String getDepartment() {
        return department;
    }

    public String getId() {
        return id;
    }

    public List<VoiceBeans> getVoice() {
        return voice;
    }

    public String getNote() {
        return note;
    }

    public String getDispatchDate() {
        return dispatchDate;
    }

    public List<RushRepairBeanList.ProcssManageBean> getProcessManages() {
        return processManages;
    }

    public String getDescription() {
        return description;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public List<VoiceBeans> getEndVoice() {
        return endVoice;
    }

    public String getWorkOrderType() {
        return workOrderType;
    }

    public String getWorkOrderState() {
        return workOrderState;
    }

    public String getCreatTime() {
        return creatTime;
    }

    public String getContact() {
        return contact;
    }

    public String getCreatUser() {
        return creatUser;
    }

    public String getDispatchUserName() {
        return dispatchUserName;
    }

    public String getResponsibleName() {
        return responsibleName;
    }

    public String getDispatchUserId() {
        return dispatchUserId;
    }

    public String getIntroduction() {
        return introduction;
    }

    public String getAddress() {
        return address;
    }

    public List<RushRepairExamineList> getAuditList() {
        return auditList;
    }

    public String getWorkOrderStateName() {
        return workOrderStateName;
    }

    public String getWorkOrderSource() {
        return workOrderSource;
    }

    public int getRowId() {
        return rowId;
    }

    public String getRushRepairResponsible() {
        return rushRepairResponsible;
    }

    public String getRushRepairPersons() {
        return rushRepairPersons;
    }

    public double getX() {
        return x;
    }

    public double getY() {
        return y;
    }

    public List<VoiceBeans> getFiles() {
        return files;
    }

    public String getWorkOrderId() {
        return workOrderId;
    }

    public String getWorkOrderTypeName() {
        return workOrderTypeName;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setVoice(List<VoiceBeans> voice) {
        this.voice = voice;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public void setDispatchDate(String dispatchDate) {
        this.dispatchDate = dispatchDate;
    }

    public void setProcessManages(List<ProcssManageBean> processManages) {
        this.processManages = processManages;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public void setEndVoice(List<VoiceBeans> endVoice) {
        this.endVoice = endVoice;
    }

    public void setWorkOrderType(String workOrderType) {
        this.workOrderType = workOrderType;
    }

    public void setWorkOrderState(String workOrderState) {
        this.workOrderState = workOrderState;
    }

    public void setCreatTime(String creatTime) {
        this.creatTime = creatTime;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public void setCreatUser(String creatUser) {
        this.creatUser = creatUser;
    }

    public void setDispatchUserName(String dispatchUserName) {
        this.dispatchUserName = dispatchUserName;
    }

    public void setResponsibleName(String responsibleName) {
        this.responsibleName = responsibleName;
    }

    public void setDispatchUserId(String dispatchUserId) {
        this.dispatchUserId = dispatchUserId;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public void setAuditList(List<RushRepairExamineList> auditList) {
        this.auditList = auditList;
    }

    public void setWorkOrderStateName(String workOrderStateName) {
        this.workOrderStateName = workOrderStateName;
    }

    public void setWorkOrderSource(String workOrderSource) {
        this.workOrderSource = workOrderSource;
    }

    public void setRowId(int rowId) {
        this.rowId = rowId;
    }

    public void setRushRepairResponsible(String rushRepairResponsible) {
        this.rushRepairResponsible = rushRepairResponsible;
    }

    public void setRushRepairPersons(String rushRepairPersons) {
        this.rushRepairPersons = rushRepairPersons;
    }

    public void setX(double x) {
        this.x = x;
    }

    public void setY(double y) {
        this.y = y;
    }

    public void setFiles(List<VoiceBeans> files) {
        this.files = files;
    }

    public void setWorkOrderId(String workOrderId) {
        this.workOrderId = workOrderId;
    }

    public void setWorkOrderTypeName(String workOrderTypeName) {
        this.workOrderTypeName = workOrderTypeName;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public static class ProcssManageBean {
        private String id;
        private String description;
        private String workOrderId;
        private String manageDate;
        private double x;
        private double y;
        private List<VoiceBeans> processFiles;
        private List<VoiceBeans> processVoice;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getWorkOrderId() {
            return workOrderId;
        }

        public void setWorkOrderId(String workOrderId) {
            this.workOrderId = workOrderId;
        }

        public String getManageDate() {
            return manageDate;
        }

        public void setManageDate(String manageDate) {
            this.manageDate = manageDate;
        }

        public double getX() {
            return x;
        }

        public void setX(double x) {
            this.x = x;
        }

        public double getY() {
            return y;
        }

        public void setY(double y) {
            this.y = y;
        }

        public List<VoiceBeans> getProcessFiles() {
            return processFiles;
        }

        public void setProcessFiles(List<VoiceBeans> processFiles) {
            this.processFiles = processFiles;
        }

        public List<VoiceBeans> getProcessVoice() {
            return processVoice;
        }

        public void setProcessVoice(List<VoiceBeans> processVoice) {
            this.processVoice = processVoice;
        }
    }
}
